/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <glib.h>

char *appdir = NULL;

const char *
appdir_get_app_icon(void)
{
    static char *filename = NULL;
    
    if (!filename)
    {
        if (appdir)
        {
            filename = g_build_filename(appdir, ".DirIcon", NULL);
        }
        else
        {
            filename = g_build_filename(PREFIX, "share", "rox-media",
                    "rox-media.svg", NULL);
        }
    }
    return filename;
}

char *
appdir_get_image(const char *leafname)
{
    return appdir ? g_build_filename(appdir, leafname, NULL) :
            g_build_filename(PREFIX, "share", "rox-media", leafname, NULL);
}

const char *
appdir_get_configlet(void)
{
    static char *filename = NULL;
    
    if (!filename)
    {
        if (appdir)
        {
            filename = g_build_filename(appdir, "configlet",
                    "rox-media-config", NULL);
        }
        else
        {
            filename = g_build_filename(PREFIX, "lib", "rox-media",
                    "rox-media-config", NULL);
        }
    }
    return filename;
}

