#ifndef __DIALOG_H
#define __DIALOG_H
/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Useful miscellaneous dialogs */

#include <gtk/gtk.h>
#include <gdu/gdu.h>

/* Run a dialog showing the formatted error message */
int
dialog_error(GtkWindow *parent_win, GtkDialogFlags flags,
        const char *message, ...) G_GNUC_PRINTF(3, 4);

int
dialog_warning(GtkWindow *parent_win, GtkDialogFlags flags,
        const char *message, ...) G_GNUC_PRINTF(3, 4);

typedef struct _PropertiesDialog PropertiesDialog;

/* Caller should call show()/destroy() etc */
PropertiesDialog *
dialog_properties_new(GduPresentable *pres, GduDevice *dev);

GtkWidget *
dialog_properties_get_widget(PropertiesDialog *pd);

void
dialog_properties_update(PropertiesDialog *pd);

/* This doesn't destroy the dialog */
inline static void
dialog_properties_free(PropertiesDialog *pd)
{
    g_free(pd);
}

/* This automatically shows and destroys the dialog */
void
dialog_about(void);

#endif /* __DIALOG_H */
