#ifndef __ICON_GROUP_H
#define __ICON_GROUP_H
/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Manage a group of HPanelIcons */

#include "icon_source.h"
#include "panel_icon.h"

typedef struct _IconGroup IconGroup;

IconGroup *
icon_group_new_for_rox_panel(int xid);

IconGroup *
icon_group_new_for_systray(void);

HPanelIcon *
icon_group_add_icon(IconGroup *group, HIconSource *source);

void
icon_group_remove_icon(IconGroup *group, HPanelIcon *icon);

/* These return FALSE so they can be passed to g_idle_add etc */
gboolean
icon_group_show(IconGroup *group);

gboolean
icon_group_show_all(IconGroup *group);

/* NULL for systray */
GtkWindow *
icon_group_get_window(IconGroup *group);

#endif /* __ICON_GROUP_H */
