/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "icon_source.h"

guint h_icon_source_signals[1];

static void
h_icon_source_base_init(gpointer g_iface)
{
    static gboolean initialised = FALSE;
    
    if (!initialised)
    {
        h_icon_source_signals[H_ICON_SOURCE_SIGNAL_CHANGED] =
        g_signal_newv(
                "changed", G_TYPE_FROM_CLASS(g_iface),
                G_SIGNAL_RUN_LAST | G_SIGNAL_NO_RECURSE | G_SIGNAL_NO_HOOKS,
                NULL, NULL, NULL,
                g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0, NULL);
        initialised = TRUE;
    }
}

GType
h_icon_source_get_type(void)
{
    static GType iface_type = 0;
    
    if (!iface_type)
    {
        static const GTypeInfo info = {
            sizeof(HIconSourceInterface),
            h_icon_source_base_init,
            NULL,   /* base_finalize */
        };
    
        iface_type = g_type_register_static(G_TYPE_INTERFACE,
                "HIconSourceInterface", &info, 0);
    }
    return iface_type;
}

GdkPixbuf *
h_icon_source_get_pixbuf(HIconSource *iself, int width, int height)
{
    g_return_val_if_fail(H_IS_ICON_SOURCE(iself), NULL);
    return H_ICON_SOURCE_GET_INTERFACE(iself)->get_pixbuf(iself, width, height);
}

