#ifndef __H_ICON_SOURCE_H
#define __H_ICON_SOURCE_H
/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Interface for an object providing scaled pixbufs */

#include <glib-object.h>
#include <gdk/gdk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

G_BEGIN_DECLS

#define H_ICON_SOURCE_SIGNAL_CHANGED 0

extern guint h_icon_source_signals[];

#define H_TYPE_ICON_SOURCE \
        (h_icon_source_get_type())
#define H_ICON_SOURCE(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST((obj), \
        H_TYPE_ICON_SOURCE, HIconSource))
#define H_IS_ICON_SOURCE(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
        H_TYPE_ICON_SOURCE))
#define H_ICON_SOURCE_GET_INTERFACE(inst) \
        (G_TYPE_INSTANCE_GET_INTERFACE((inst), \
        H_TYPE_ICON_SOURCE, HIconSourceInterface))

typedef struct _HIconSource          HIconSource;
typedef struct _HIconSourceInterface HIconSourceInterface;

struct _HIconSourceInterface {
    GTypeInterface parent_iface;
    GdkPixbuf *(*get_pixbuf)(HIconSource *iself, int width, int height);
};

GType
h_icon_source_get_type(void) G_GNUC_CONST;


GdkPixbuf *
h_icon_source_get_pixbuf(HIconSource *iself, int width, int height);
/* Returns a pixbuf which you may unref when finished with. width or height
 * may be -1, meaning unconstrained. screen is the screen associated with the
 * widget etc the pixbuf is intended to be rendered in.
 */

G_END_DECLS

#endif /* __H_ICON_SOURCE_H */
