#ifndef __H_ICON_SOURCE_FILENAME_H
#define __H_ICON_SOURCE_FILENAME_H
/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* HIconSource using graphic files */

#include <glib-object.h>

G_BEGIN_DECLS

#define H_TYPE_ICON_SOURCE_FILENAME \
        (h_icon_source_filename_get_type())
#define H_ICON_SOURCE_FILENAME(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST((obj), \
        H_TYPE_ICON_SOURCE_FILENAME, HIconSourceFilename))
#define H_IS_ICON_SOURCE_FILENAME(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
        H_TYPE_ICON_SOURCE_FILENAME))
#define H_ICON_SOURCE_FILENAME_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_CAST((klass), \
        H_TYPE_ICON_SOURCE_FILENAME, HIconSourceFilenameClass))
#define H_IS_ICON_SOURCE_FILENAME_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_TYPE((klass), \
        H_TYPE_ICON_SOURCE_FILENAME))
#define H_ICON_SOURCE_FILENAME_GET_CLASS(obj) \
        (G_TYPE_INSTANCE_GET_CLASS((obj), \
        H_TYPE_ICON_SOURCE_FILENAME, HIconSourceFilenameClass))

typedef struct _HIconSourceFilename        HIconSourceFilename;
typedef struct _HIconSourceFilenameClass   HIconSourceFilenameClass;


struct _HIconSourceFilename {
    GObject parent_instance;
    char *filename;
};

struct _HIconSourceFilenameClass {
    GObjectClass parent_class;
};

GType
h_icon_source_filename_get_type(void) G_GNUC_CONST;


HIconSourceFilename *
h_icon_source_filename_new(const char *filename);

void
h_icon_source_filename_set_filename(HIconSourceFilename *self,
        const char *filename);

G_END_DECLS

#endif /* __H_ICON_SOURCE_FILENAME_H */
