#ifndef __H_ICON_SOURCE_GICON_H
#define __H_ICON_SOURCE_GICON_H
/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <glib-object.h>
#include <gio/gio.h>

G_BEGIN_DECLS

#define H_TYPE_ICON_SOURCE_GICON \
        (h_icon_source_gicon_get_type())
#define H_ICON_SOURCE_GICON(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST((obj), \
        H_TYPE_ICON_SOURCE_GICON, HIconSourceGIcon))
#define H_IS_ICON_SOURCE_GICON(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
        H_TYPE_ICON_SOURCE_GICON))
#define H_ICON_SOURCE_GICON_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_CAST((klass), \
        H_TYPE_ICON_SOURCE_GICON, HIconSourceGIconClass))
#define H_IS_ICON_SOURCE_GICON_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_TYPE((klass), \
        H_TYPE_ICON_SOURCE_GICON))
#define H_ICON_SOURCE_GICON_GET_CLASS(obj) \
        (G_TYPE_INSTANCE_GET_CLASS((obj), \
        H_TYPE_ICON_SOURCE_GICON, HIconSourceGIconClass))

typedef struct _HIconSourceGIcon        HIconSourceGIcon;
typedef struct _HIconSourceGIconClass   HIconSourceGIconClass;
typedef struct _HIconSourceGIconPrivate HIconSourceGIconPrivate;


struct _HIconSourceGIcon {
    GObject parent_instance;
    GIcon *gicon;
    HIconSourceGIconPrivate *priv;
};

struct _HIconSourceGIconClass {
    GObjectClass parent_class;
};

GType
h_icon_source_gicon_get_type(void) G_GNUC_CONST;


HIconSourceGIcon *
h_icon_source_gicon_new(GdkScreen *screen, GIcon *gicon);

void
h_icon_source_gicon_set_screen(HIconSourceGIcon *self, GdkScreen *screen);

/* Note this adds a reference without sinking floating ref, so caller should
 * unref its own copy afterwards
 */
void
h_icon_source_gicon_set_gicon(HIconSourceGIcon *self, GIcon *gicon);

G_END_DECLS

#endif /* __H_ICON_SOURCE_GICON_H */
