#ifndef __H_ICON_SOURCE_ICON_NAME_H
#define __H_ICON_SOURCE_ICON_NAME_H
/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* HIconSource implementation using themed icon names */

#include <glib-object.h>
#include <gdk/gdk.h>

G_BEGIN_DECLS

#define H_TYPE_ICON_SOURCE_ICON_NAME \
        (h_icon_source_icon_name_get_type())
#define H_ICON_SOURCE_ICON_NAME(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST((obj), \
        H_TYPE_ICON_SOURCE_ICON_NAME, HIconSourceIconName))
#define H_IS_ICON_SOURCE_ICON_NAME(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
        H_TYPE_ICON_SOURCE_ICON_NAME))
#define H_ICON_SOURCE_ICON_NAME_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_CAST((klass), \
        H_TYPE_ICON_SOURCE_ICON_NAME, HIconSourceIconNameClass))
#define H_IS_ICON_SOURCE_ICON_NAME_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_TYPE((klass), \
        H_TYPE_ICON_SOURCE_ICON_NAME))
#define H_ICON_SOURCE_ICON_NAME_GET_CLASS(obj) \
        (G_TYPE_INSTANCE_GET_CLASS((obj), \
        H_TYPE_ICON_SOURCE_ICON_NAME, HIconSourceIconNameClass))

typedef struct _HIconSourceIconName        HIconSourceIconName;
typedef struct _HIconSourceIconNameClass   HIconSourceIconNameClass;
typedef struct _HIconSourceIconNamePrivate HIconSourceIconNamePrivate;


struct _HIconSourceIconName {
    GObject parent_instance;
    char *icon_name;
    HIconSourceIconNamePrivate *priv;
};

struct _HIconSourceIconNameClass {
    GObjectClass parent_class;
};

GType
h_icon_source_icon_name_get_type(void) G_GNUC_CONST;


HIconSourceIconName *
h_icon_source_icon_name_new(GdkScreen *screen, const char *icon_name);

void
h_icon_source_icon_name_set_screen(HIconSourceIconName *self,
        GdkScreen *screen);

void
h_icon_source_icon_name_set_icon_name(HIconSourceIconName *self,
        const char *icon_name);

G_END_DECLS

#endif /* __H_ICON_SOURCE_ICON_NAME_H */
