#ifndef __H_ROX_PANEL_ICON_H
#define __H_ROX_PANEL_ICON_H
/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* ROX panel implementation of HPanelIcon.
 * NB this does not cal gtk_widget_show() on the enclosed GtkImage so use
 * gtk_widget_show_all()
 */

#include <glib-object.h>
#include <gtk/gtk.h>

#include "icon_source.h"

G_BEGIN_DECLS

#define H_TYPE_ROX_PANEL_ICON \
        (h_rox_panel_icon_get_type())
#define H_ROX_PANEL_ICON(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST((obj), \
        H_TYPE_ROX_PANEL_ICON, HRoxPanelIcon))
#define H_IS_ROX_PANEL_ICON(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
        H_TYPE_ROX_PANEL_ICON))
#define H_ROX_PANEL_ICON_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_CAST((klass), \
        H_TYPE_ROX_PANEL_ICON, HRoxPanelIconClass))
#define H_IS_ROX_PANEL_ICON_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_TYPE((klass), \
        H_TYPE_ROX_PANEL_ICON))
#define H_ROX_PANEL_ICON_GET_CLASS(obj) \
        (G_TYPE_INSTANCE_GET_CLASS((obj), \
        H_TYPE_ROX_PANEL_ICON, HRoxPanelIconClass))

typedef struct _HRoxPanelIcon        HRoxPanelIcon;
typedef struct _HRoxPanelIconClass   HRoxPanelIconClass;
typedef struct _HRoxPanelIconPrivate HRoxPanelIconPrivate;


struct _HRoxPanelIcon {
    GtkEventBox parent_instance;
    HRoxPanelIconPrivate *priv;
};

struct _HRoxPanelIconClass {
    GtkEventBoxClass parent_class;
};

GType
h_rox_panel_icon_get_type(void) G_GNUC_CONST;


HRoxPanelIcon *
h_rox_panel_icon_new(HIconSource *icon_source);

G_END_DECLS

#endif /* __H_ROX_PANEL_ICON_H */
