#ifndef __H_SYSTEM_TRAY_ICON_H
#define __H_SYSTEM_TRAY_ICON_H
/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <glib-object.h>
#include <gtk/gtk.h>

#include "icon_source.h"

G_BEGIN_DECLS

#define H_TYPE_SYSTEM_TRAY_ICON \
        (h_system_tray_icon_get_type())
#define H_SYSTEM_TRAY_ICON(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST((obj), \
        H_TYPE_SYSTEM_TRAY_ICON, HSystemTrayIcon))
#define H_IS_SYSTEM_TRAY_ICON(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
        H_TYPE_SYSTEM_TRAY_ICON))
#define H_SYSTEM_TRAY_ICON_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_CAST((klass), \
        H_TYPE_SYSTEM_TRAY_ICON, HSystemTrayIconClass))
#define H_IS_SYSTEM_TRAY_ICON_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_TYPE((klass), \
        H_TYPE_SYSTEM_TRAY_ICON))
#define H_SYSTEM_TRAY_ICON_GET_CLASS(obj) \
        (G_TYPE_INSTANCE_GET_CLASS((obj), \
        H_TYPE_SYSTEM_TRAY_ICON, HSystemTrayIconClass))

typedef struct _HSystemTrayIcon        HSystemTrayIcon;
typedef struct _HSystemTrayIconClass   HSystemTrayIconClass;
typedef struct _HSystemTrayIconPrivate HSystemTrayIconPrivate;


struct _HSystemTrayIcon {
    GtkStatusIcon parent_instance;
    HSystemTrayIconPrivate *priv;
};

struct _HSystemTrayIconClass {
    GtkStatusIconClass parent_class;
};

GType
h_system_tray_icon_get_type(void) G_GNUC_CONST;


HSystemTrayIcon *
h_system_tray_icon_new(HIconSource *icon_source);

G_END_DECLS

#endif /* __H_SYSTEM_TRAY_ICON_H */
