/*
    rox-media (Media) - DeviceKit-disks utility for ROX
    Copyright (C) 2009 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "icon_source_emblem.h"
#include "icon_source_emblem_priv.h"

#define H_ICON_SOURCE_EMBLEM_GET_PRIVATE(obj) \
        (G_TYPE_INSTANCE_GET_PRIVATE((obj), \
        H_TYPE_ICON_SOURCE_EMBLEM, HIconSourceEmblemPrivate))


/*
static void
do_something(HIconSourceEmblem *self)
{
    HIconSourceEmblemPrivate *priv = self->priv;

}
*/

static void
h_icon_source_method(HIconSource *iself)
{
    HIconSourceEmblem *self = H_ICON_SOURCE_EMBLEM(iself);
    HIconSourceEmblemPrivate *priv = self->priv;

}

static void
h_icon_source_emblem_init_h_icon_source(HIconSourceInterface *iface)
{
    iface->h_icon_source_method = h_icon_source_method;
}

G_DEFINE_TYPE_WITH_CODE(HIconSourceEmblem, h_icon_source_emblem, G_TYPE_OBJECT,
        G_IMPLEMENT_INTERFACE(H_TYPE_ICON_SOURCE,
                h_icon_source_emblem_init_h_icon_source));


static void
h_icon_source_emblem_init(HIconSourceEmblem *self)
{
    HIconSourceEmblemPrivate *priv = self->priv =
            H_ICON_SOURCE_EMBLEM_GET_PRIVATE(self);

    // self->foo = bar;
}

static void
h_icon_source_emblem_dispose(GObject *gobj)
{
    HIconSourceEmblem *self = H_ICON_SOURCE_EMBLEM(gobj);
    HIconSourceEmblemPrivate *priv = self->priv;

    G_OBJECT_CLASS(h_icon_source_emblem_parent_class)->dispose(gobj);
}

static void
h_icon_source_emblem_finalize(GObject *gobj)
{
    G_OBJECT_CLASS(h_icon_source_emblem_parent_class)->finalize(gobj);
}

static void
h_icon_source_emblem_class_init(HIconSourceEmblemClass *klass)
{
    GObjectClass *gclass;
    
    g_type_class_add_private(klass, sizeof(HIconSourceEmblemPrivate));

    gclass = G_OBJECT_CLASS(klass);
    /* Initialise any virtual functions here:
    klass->do_something = do_something;
    */
    gclass->dispose = h_icon_source_emblem_dispose;
    gclass->finalize = h_icon_source_emblem_finalize;
}

HIconSourceEmblem *
h_icon_source_emblem_new(void)
{
    return H_ICON_SOURCE_EMBLEM(g_object_new(H_TYPE_ICON_SOURCE_EMBLEM, NULL));
}

/*
static void
h_icon_source_emblem_do_something(HIconSourceEmblem *self)
{
    g_return_if_fail(H_IS_ICON_SOURCE_EMBLEM(self));
    H_ICON_SOURCE_EMBLEM_GET_CLASS(self)->do_something(self);
}
*/
